FlowChartInstance (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.flow
Class FlowChartInstance

    java.lang.Object
      org.maltparser.core.flow.FlowChartInstance

    public class FlowChartInstance

extends Object

Author:
  Johan Hall

Constructor Summary
`FlowChartInstance(int optionContainerIndex, ChartSpecification chartSpecification, FlowChartManager flowChartManager)`

Method Summary
`void` | `addFlowChartRegistry(Class<?> entryClass, String identifier, Object entry)`
`boolean` | `equals(Object obj)`
`ChartSpecification` | `getChartSpecification()`
`Object` | `getEngineRegistry(String key)`
`FlowChartManager` | `getFlowChartManager()`
`Object` | `getFlowChartRegistry(Class<?> entryClass, String identifier)`
`String` | `getName()`
`int` | `getOptionContainerIndex()`
`LinkedHashSet<ChartItem>` | `getPostProcessChartItems()`
`LinkedHashSet<ChartItem>` | `getPreProcessChartItems()`
`LinkedHashSet<ChartItem>` | `getProcessChartItems()`
`int` | `hashCode()`
`boolean` | `hasPostProcessChartItems()`
`boolean` | `hasPreProcessChartItems()`
`boolean` | `hasProcessChartItems()`
`protected ChartItem` | `initChartItem(ChartItemSpecification chartItemSpecification)`
`int` | `postprocess()`
`int` | `preprocess()`
`int` | `process()`
`void` | `removeFlowChartRegistry(Class<?> entryClass, String identifier)`
`protected void` | `setChartSpecification(ChartSpecification chartSpecification)`
`void` | `setEngineRegistry(String key, Object value)`
`protected void` | `setFlowChartManager(FlowChartManager flowChartManager)`
`void` | `setName(String name)`
`protected void` | `setOptionContainerIndex(int optionContainerIndex)`
`void` | `terminate()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FlowChartInstance

    public FlowChartInstance(int optionContainerIndex,
                             ChartSpecification chartSpecification,
                             FlowChartManager flowChartManager)
                      throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### initChartItem

    protected ChartItem initChartItem(ChartItemSpecification chartItemSpecification)
                               throws MaltChainedException

  Throws:
    `MaltChainedException`

### addFlowChartRegistry

    public void addFlowChartRegistry(Class<?> entryClass,
                                     String identifier,
                                     Object entry)

### removeFlowChartRegistry

    public void removeFlowChartRegistry(Class<?> entryClass,
                                        String identifier)

### getFlowChartRegistry

    public Object getFlowChartRegistry(Class<?> entryClass,
                                       String identifier)

### setEngineRegistry

    public void setEngineRegistry(String key,
                                  Object value)

### getEngineRegistry

    public Object getEngineRegistry(String key)

### getFlowChartManager

    public FlowChartManager getFlowChartManager()

### setFlowChartManager

    protected void setFlowChartManager(FlowChartManager flowChartManager)

### getOptionContainerIndex

    public int getOptionContainerIndex()

### setOptionContainerIndex

    protected void setOptionContainerIndex(int optionContainerIndex)

### getChartSpecification

    public ChartSpecification getChartSpecification()

### setChartSpecification

    protected void setChartSpecification(ChartSpecification chartSpecification)

### getPreProcessChartItems

    public LinkedHashSet<ChartItem> getPreProcessChartItems()

### getProcessChartItems

    public LinkedHashSet<ChartItem> getProcessChartItems()

### getPostProcessChartItems

    public LinkedHashSet<ChartItem> getPostProcessChartItems()

### hasPreProcessChartItems

    public boolean hasPreProcessChartItems()

### hasProcessChartItems

    public boolean hasProcessChartItems()

### hasPostProcessChartItems

    public boolean hasPostProcessChartItems()

### preprocess

    public int preprocess()
                   throws MaltChainedException

  Throws:
    `MaltChainedException`

### process

    public int process()
                throws MaltChainedException

  Throws:
    `MaltChainedException`

### postprocess

    public int postprocess()
                    throws MaltChainedException

  Throws:
    `MaltChainedException`

### terminate

    public void terminate()
                   throws MaltChainedException

  Throws:
    `MaltChainedException`

### getName

    public String getName()

### setName

    public void setName(String name)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.